Bug 1589850

Summary: Onscreen keyboard not working well with hexchat
Product: [Fedora] Fedora Reporter: Pravin Satpute <psatpute>
Component: gnome-shellAssignee: Owen Taylor <otaylor>
Status: NEW --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 36CC: fmuellner, i18n-bugs, otaylor, prigupta
Target Milestone: ---Keywords: i18n
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1939903    
Bug Blocks:    
Attachments:
Description Flags
In this image in background its gedit. none

Description Pravin Satpute 2018-06-11 14:17:32 UTC
Created attachment 1450060 [details]
In this image in background its gedit.

Description of problem:
Its not transparent on hexchat, rather take extra window space and after turning it off still that space remain blank. 

Version-Release number of selected component (if applicable):
gnome-shell-3.28.1-3.fc28.x86_64
hexchat-2.14.1-1.fc28.x86_64

How reproducible:
Everytime

Steps to Reproduce:
1. Open gedit and hexchat. Keep hexchat on front.
2. Turn on onscreen keyboard - either through "Always show universal access shortcut on panel" or through "control-center-> Universal Access-> Screen Keyboard "
3. Try to type some key -> onscreen keyboard is not visible for hexchat.
4. Now change windows to gedit and type something with onscreen keybaord.
5. Now switch back to hexchat and observe behavior.

Actual results:
It is taking extra windows space and after closing still leaves that space vacant.

Expected results:
It should be transparent on hexchat (like gedit) and after closing should not keep that space blank. (resize of hexchat not happening)

Additional info:

Comment 1 Fedora Program Management 2021-04-29 15:54:20 UTC
This message is a reminder that Fedora 32 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 32 on 2021-05-25.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '32'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 32 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Priyam Gupta 2021-05-17 11:45:53 UTC
Due to new developments and also as new bug reported against on-screen keyboard accessibility moving this to F34

Comment 3 Ben Cotton 2022-05-12 16:21:43 UTC
This message is a reminder that Fedora Linux 34 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 34 on 2022-06-07.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '34'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 34 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 4 Priyam Gupta 2022-06-01 06:23:50 UTC
As its still reproducible, moving it to F36.